Index: src/fl_set_fonts_xft.cxx
===================================================================
--- src/fl_set_fonts_xft.cxx	(Revision 9679)
+++ src/fl_set_fonts_xft.cxx	(Arbeitskopie)
@@ -187,6 +187,27 @@
   }
 } // make_raw_name
 
+static void normalize_font_name(char *f)
+{
+  char *p = strchr(f, '=');
+  if (p)
+  {
+     p++;
+     // catch Bold Italic, Italic Bold and also BoldOblique...
+     if ((strcasestr(p,"Italic") || strcasestr(p, "Oblique")) && strcasestr(p,"Bold"))
+       strcpy(p,"Italic Bold");
+     // catch Bold only
+     else if (strcasestr(p,"Bold"))
+       strcpy(p,"Bold");
+     // catch Italic only
+     else if (strcasestr(p,"Italic") || strcasestr(p,"Oblique"))
+       strcpy(p,"Italic");
+     // consider as "Regular","Normal","Standard",...
+     else
+      strcpy(p,"");  // this will make it sort at the first place of that font family
+  }
+}
+
 ///////////////////////////////////////////////////////////
 
 static int fl_free_font = FL_FREE_FONT;
@@ -239,9 +260,11 @@
   // Now, if we got any fonts, iterate through them...
   if (fnt_set)
   {
+#if 0
     char *stop;
     char *start;
     char *first;
+#endif
     
     font_count = fnt_set->nfont; // How many fonts?
     
@@ -262,6 +285,9 @@
       // Century Schoolbook:style=Bold Italic,fed kursiv,Fett Kursiv,...
       // So the bit we want is up to the first comma - BUT some strings have
       // more than one name, separated by, guess what?, a comma...
+      normalize_font_name((char*)font); // remove multiple languages - keep english
+
+#if 0
       stop = start = first = 0;
       stop = strchr((char *)font, ',');
       start = strchr((char *)font, ':');
@@ -299,6 +325,12 @@
         char *reg = strstr(full_list[j], "=Regular");
         if (reg) reg[1]='.';
       }
+#else
+      // The listed name has been modified
+      full_list[j] = strdup((char*)font);
+      // Free the font name storage
+      free (font);
+#endif
     }
         
     // Release the fnt_set - we don't need it any more

